## gov.usgs.earthquake.event
Class JsonEventInfo

    java.lang.Object
      gov.usgs.earthquake.event.JsonEventInfo

All Implemented Interfaces:
  EventInfo

    public class JsonEventInfo

extends java.lang.Object
implements EventInfo

Constructor Summary
`JsonEventInfo(JsonEvent event)`

Method Summary
`java.math.BigDecimal` `getDepth()`
`java.lang.Double` `getDistance()`
`JsonEvent` `getEvent()`
`EventComparison` `getEventComparison()`
`EventId` `getEventId()`
`java.math.BigDecimal` `getLatitude()`
`java.math.BigDecimal` `getLongitude()`
`java.math.BigDecimal` `getMagnitude()`
`java.util.Date` `getTime()`
`void` `setDistance(java.lang.Double distance)`
`void` `setEventComparison(EventComparison comparison)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JsonEventInfo

    public JsonEventInfo(JsonEvent event)

Method Detail

### getMagnitude

    public java.math.BigDecimal getMagnitude()

  Specified by:
    `getMagnitude` in interface `EventInfo`

### getDepth

    public java.math.BigDecimal getDepth()

  Specified by:
    `getDepth` in interface `EventInfo`

### getLatitude

    public java.math.BigDecimal getLatitude()

  Specified by:
    `getLatitude` in interface `EventInfo`

### getLongitude

    public java.math.BigDecimal getLongitude()

  Specified by:
    `getLongitude` in interface `EventInfo`

### getTime

    public java.util.Date getTime()

  Specified by:
    `getTime` in interface `EventInfo`

### getEventId

    public EventId getEventId()

  Specified by:
    `getEventId` in interface `EventInfo`

### getEvent

    public JsonEvent getEvent()

### getEventComparison

    public EventComparison getEventComparison()

### setEventComparison

    public void setEventComparison(EventComparison comparison)

### getDistance

    public java.lang.Double getDistance()

### setDistance

    public void setDistance(java.lang.Double distance)